### Method

# Fwupd Remote set_id

#### Declaration [src]

    void
    fwupd_remote_set_id (
      FwupdRemote* self,
      const gchar* id
    )

#### Description [src]

Sets the remote ID.

NOTE: the ID has to be set before the URL.

Available since: | 1.9.3

Sets property | `Fwupd.Remote:id`

#### Parameters

`id` | `const gchar*`
| Remote ID, e.g. “lvfs”
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.